//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma link "SlimSplt"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
	Application->OnHint = ShowHint;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Horizontal1Click(TObject *Sender)
{
	if (SlimSplitter1->SeparateType != sepHorizontal)
    	SlimSplitter1->SeparateType = sepHorizontal;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Vertical1Click(TObject *Sender)
{
	if (SlimSplitter1->SeparateType != sepVertical)
	 	SlimSplitter1->SeparateType = sepVertical;

}
//---------------------------------------------------------------------------
void __fastcall TForm1::PopupMenu1Popup(TObject *Sender)
{
	if (SlimSplitter1->SeparateType == sepHorizontal)
	{
		Horizontal1->Checked = True;
		Vertical1->Checked = False;
	}
	else
	{
		Horizontal1->Checked = False;
		Vertical1->Checked = True;
    }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ShowHint(TObject* Sender)
{
	StatusBar1->SimpleText = Application->Hint;
}


void __fastcall TForm1::OnCreate(TObject *Sender)
{
	Memo1->Text = "Move the mouse pointer above the right SlimSplitter, the Hint string of SlimSplitter is displayed in the bottom status bar.\r\n\r\nMinimum height/width of this pane is restricted according to SrcMinWidth/SrcMinHeight of the right SlimSplitter.\r\n\r\nClicking the right button of a mouse in the right splitter, you can change splitter's direction in a popup menu.";
	RichEdit3->Text = "Draw while dragging is very smooth, because dragging motion is not splitter's actual resizing; only a drawing.\r\n\r\nYou can cancel dragging by:\r\n  *Push [ESC] key.\r\n  *Push right mouse button.\r\n\r\nMinimum width/height of this pane is specified by DstMinWidth/Height of the left SlimSplitter.\r\n\r\nPlease drag the below green splitter!";
	Memo4->Text = "As right or below, you can set various attributes of SlimSplitter:\r\n  *Gap\r\n  *Color\r\n  *Caption\r\n  *Bevel";
	Memo3->Text = "The left SlimSplitter's dragging is prohibited.  The cursor stays. too.";
}
//---------------------------------------------------------------------------



